#
# spec file for package perl-Data-AMF
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Data-AMF
Version:        0.09
Release:        3.4
%define cpan_name Data-AMF
Summary:        Serialize/Deserialize AMF data
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Data-AMF/

Source:         http://www.cpan.org/authors/id/T/TY/TYPESTER/%cpan_name-%version.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Any::Moose)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(Test::Base)
BuildRequires:  perl(UNIVERSAL::require)
BuildRequires:  perl(XML::LibXML)
BuildRequires:  perl(YAML)
Requires:       perl(Any::Moose)
Requires:       perl(DateTime)
Requires:       perl(UNIVERSAL::require)
Requires:       perl(XML::LibXML)
%perl_requires

%description
This module is (de)serializer for Adobe's AMF (Action Message Format).
Data::AMF is core module and it recognize only AMF data, not AMF packet. If
you want to read/write AMF Packet, see Data::AMF::Packet instead.

%prep
%setup -q -n %cpan_name-%version
find . -type f -exec chmod 644 "{}" "+"

%build
# kill bundled copy of old modules that interfere
rm -Rf inc/Test inc/YAML.pm

perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %name.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Tue Nov 12 2013 jengelh@inai.de
- Move perl-Data-AMF-0.09 from devel:languages:perl:CPAN-D
- Add BuildRequires perl(Test::Build) and remove broken bundled
  copy of YAML to have tests succeed
